Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.contact
Class PrimaryTelephoneNumber

    java.lang.Object
      |
      +--com.compoze.contact.PrimaryTelephoneNumber

All Implemented Interfaces:
  java.io.Serializable

public class PrimaryTelephoneNumber
extends java.lang.Object
implements java.io.Serializable

This class represents a contact primary telephone number. A primary number designates which is the contacts' primary telephone number.

See Also:
  `Contact.setPrimaryTelephoneNumber(PrimaryTelephoneNumber)`, `Contact.getPrimaryTelephoneNumber()`, Serialized Form

Field Summary
`static PrimaryTelephoneNumber` | `ASSISTANT_TELEPHONE_NUMBER` This value represents a value of 'assistant telephone number'.
`static PrimaryTelephoneNumber` | `BUSINESS_FAX_NUMBER` This value represents a value of 'business fax number'.
`static PrimaryTelephoneNumber` | `BUSINESS_TELEPHONE_NUMBER` This value represents a value of 'business telephone number'.
`static PrimaryTelephoneNumber` | `CAR_TELEPHONE_NUMBER` This value represents a value of 'car telephone number'.
`static PrimaryTelephoneNumber` | `HOME_FAX_NUMBER` This value represents a value of 'home fax number'.
`static PrimaryTelephoneNumber` | `HOME_TELEPHONE_NUMBER` This value represents a value of 'home telephone number'.
`static PrimaryTelephoneNumber` | `MOBILE_TELEPHONE_NUMBER` This value represents a value of 'mobile telephone number'.
`static PrimaryTelephoneNumber` | `OTHER_TELEPHONE_NUMBER` This value represents a value of 'other telephone number'.
`static PrimaryTelephoneNumber` | `PAGER_TELEPHONE_NUMBER` This value represents a value of 'pager telephone number'.
`static java.util.List` | `s_values` An array containing all of the fixed primary values.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static PrimaryTelephoneNumber` | `get(int iStoreValue)` Gets the primary telephone number by its store value.
`static PrimaryTelephoneNumber` | `get(java.lang.String sName)` Gets the primary telephone number by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of primary telephone number levels.
`java.lang.String` | `getName()` Gets the name of the primary telephone number using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the primary telephone number using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the primary telephone number in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_values

    public static java.util.List s_values

  An array containing all of the fixed primary values.

### HOME_TELEPHONE_NUMBER

    public static final PrimaryTelephoneNumber HOME_TELEPHONE_NUMBER

  This value represents a value of 'home telephone number'.

### MOBILE_TELEPHONE_NUMBER

    public static final PrimaryTelephoneNumber MOBILE_TELEPHONE_NUMBER

  This value represents a value of 'mobile telephone number'.

### PAGER_TELEPHONE_NUMBER

    public static final PrimaryTelephoneNumber PAGER_TELEPHONE_NUMBER

  This value represents a value of 'pager telephone number'.

### OTHER_TELEPHONE_NUMBER

    public static final PrimaryTelephoneNumber OTHER_TELEPHONE_NUMBER

  This value represents a value of 'other telephone number'.

### BUSINESS_TELEPHONE_NUMBER

    public static final PrimaryTelephoneNumber BUSINESS_TELEPHONE_NUMBER

  This value represents a value of 'business telephone number'.

### ASSISTANT_TELEPHONE_NUMBER

    public static final PrimaryTelephoneNumber ASSISTANT_TELEPHONE_NUMBER

  This value represents a value of 'assistant telephone number'.

### CAR_TELEPHONE_NUMBER

    public static final PrimaryTelephoneNumber CAR_TELEPHONE_NUMBER

  This value represents a value of 'car telephone number'.

### HOME_FAX_NUMBER

    public static final PrimaryTelephoneNumber HOME_FAX_NUMBER

  This value represents a value of 'home fax number'.

### BUSINESS_FAX_NUMBER

    public static final PrimaryTelephoneNumber BUSINESS_FAX_NUMBER

  This value represents a value of 'business fax number'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the primary telephone number using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the primary telephone number using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the primary telephone number in the storage system.
  Returns:
    the store value

### get

    public static PrimaryTelephoneNumber get(int iStoreValue)

  Gets the primary telephone number by its store value.
  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching primary telephone number or `null` if not found

### get

    public static PrimaryTelephoneNumber get(java.lang.String sName)

  Gets the primary telephone number by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching primary telephone number or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of primary telephone number levels.
  Returns:
    the list of `PrimaryTelephoneNumber`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check (must be an `PrimaryTelephoneNumber` or else a `ClassCastException` is thrown)
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.